function [U,FreeDofs] = assemDir_LFE(Mesh,BdFlag,GHandle)

%   Copyright 2005-2005 Patrick Meury
%   SAM - Seminar for Applied Mathematics
%   ETH-Zentrum
%   CH-8092 Zurich, Switzerland

  % Initialize constants

  nCoordinates = size(Mesh.Coordinates,1);
  U = zeros(nCoordinates,1);
 
  
  % Extract Dirichlet nodes
  
  Loc = find(Mesh.BdFlags==BdFlag);
  DNodes = unique([Mesh.Edges(Loc,1); Mesh.Edges(Loc,2)]);
  
  % Compute Dirichlet boundary conditions
  
  U(DNodes) = GHandle(Mesh.Coordinates(DNodes,:));  

  
  % Compute set of free dofs
  
  FreeDofs = setdiff(1:nCoordinates,DNodes);
  
return
