function L = assemLoad_LFE(Mesh,QuadRule,FHandle)

%   Copyright 2005-2005 Patrick Meury
%   SAM - Seminar for Applied Mathematics
%   ETH-Zentrum
%   CH-8092 Zurich, Switzerland

  % Initialize constants

  nCoordinates = size(Mesh.Coordinates,1);
  nElements = size(Mesh.Elements,1);
  
  % Preallocate memory
  
  L = zeros(nCoordinates,1);
  

  % Assemble element contributions
  
  for i = 1:nElements
    
    % Extract vertices
    
    vidx = Mesh.Elements(i,:);
    Vertices = Mesh.Coordinates(vidx,:);
    
 
    % Compute load data
    
    Lloc = LOAD_LFE(Vertices,QuadRule,FHandle);
    
    % Add contributions to global load vector
    
    L(vidx(1)) = L(vidx(1)) + Lloc(1);
    L(vidx(2)) = L(vidx(2)) + Lloc(2);
    L(vidx(3)) = L(vidx(3)) + Lloc(3);
      
  end
  
return