function A = assemMat_LFE(Mesh,EHandle,varargin)

%   Copyright 2005-2005 Patrick Meury
%   SAM - Seminar for Applied Mathematics
%   ETH-Zentrum
%   CH-8092 Zurich, Switzerland

  % Initialize constants
  
  nElements = size(Mesh.Elements,1);
  
  % Preallocate memory
  
  I = zeros(9*nElements,1);
  J = zeros(9*nElements,1);
  A = zeros(9*nElements,1);
  
  % Assemble element contributions
  
  loc = 1:9;
  for i = 1:nElements
    
    % Extract vertices of current element
    
    idx = Mesh.Elements(i,:);
    Vertices = Mesh.Coordinates(idx,:);
      
    % Compute element contributions
    
    Aloc = EHandle(Vertices,varargin{:});
   
    % Add contributions to stiffness matrix
    
    Iloc = idx(ones(3,1),:)';
    I(loc) = Iloc(:);

    Jloc = idx(ones(1,3),:);
    J(loc) = Jloc(:);

    A(loc) = Aloc(:);
    loc = loc+9;
    
  end
  
    A = sparse(I,J,A);
  
return
